/*

undefineConstants.h

Written by hand to undefine MACRO constants defined by defineConstants.h

Copyright Paul A. Bristow 2002-2004. Use, modification and
distribution is subject to the Boost Software License, Version 1.0.
(See accompanying file LICENSE_1_0.txt
or copy at http://www.boost.org/LICENSE_1_0.txt)

*/

#undef BOOST_ONE
#undef BOOST_UNITY
#undef BOOST_TWO

#undef BOOST_SQRTTWO
#undef BOOST_ONEDIVSQRTTWO
#undef BOOST_HALFSQRTTWO
#undef BOOST_TWOPOWTHREEDIVTWO
#undef BOOST_TWOPOWMINUSTHREEDIVTWO
#undef BOOST_CUBEROOTTWO
#undef BOOST_FOURTHROOTTWO
#undef BOOST_LOGTWO
#undef BOOST_LNTWO
#undef BOOST_ONEDIVLNTWO
#undef BOOST_LOG10TWO

#undef BOOST_THREE
#undef BOOST_ONETHIRD
#undef BOOST_TWOTHIRDS
#undef BOOST_SQRTTHREE
#undef BOOST_CUBEROOTTHREE
#undef BOOST_LOGTHREE
#undef BOOST_SQRTFIVE
#undef BOOST_SQRTTEN
#undef BOOST_TEN
#undef BOOST_ONETENTH
#undef BOOST_LNTEN
#undef BOOST_ONEDIVLNTEN

/* Archimedes constant pi */
#undef BOOST_QUARTERPI
#undef BOOST_THIRDPI
#undef BOOST_HALFPI
#undef BOOST_PI
#undef BOOST_ONEDIVPI
#undef BOOST_TWODIVPI
#undef BOOST_TWOPI
#undef BOOST_ONEDIVTWOPI
#undef BOOST_THREEPI
#undef BOOST_SQRTPI
#undef BOOST_SQRTHALFPI
#undef BOOST_SQRTTWOPI
#undef BOOST_ONEDIVSQRTPI
#undef BOOST_ONEDIVSQRTTWOPI
#undef BOOST_PISQR
#undef BOOST_PICUBED
#undef BOOST_LNSQRTPI
#undef BOOST_LNSQRTTWOPI
#undef BOOST_LNSQRTHALFPI
#undef BOOST_LNPI
#undef BOOST_LNTWOPI
#undef BOOST_PIPOWPI
#undef BOOST_PIPOWE

	/* degree and radian.  */
#undef BOOST_DEGREE
#undef BOOST_RADIAN

/* SinCos */
#undef BOOST_SINHONE
#undef BOOST_SINONE
#undef BOOST_COSONE

/* Euclid's "extreme and mean ratio" - D E Knuth, Vol 1 page 80 - 81.
Greek artist Phidias is said to have used it in his sculpture. */
#undef BOOST_PHI
#undef BOOST_LNPHI
#undef BOOST_ONEDIVLNPHI

/* Exponential e */
#undef BOOST_E
#undef BOOST_ONEDIVE
#undef BOOST_EPOWE
#undef BOOST_SQRTE
#undef BOOST_ESQR
#undef BOOST_ECUBED20
#undef BOOST_LOG10E
#undef BOOST_ONEDIVLOG10
#undef BOOST_LOGTEN
#undef BOOST_LNE
#undef BOOST_EPOWPI
#undef BOOST_EPOWHALFPI
#undef BOOST_EPOWQUARTERPI
#undef BOOST_EPOWMINUSHALFPI
#undef BOOST_EPOWMINUSQUARTERPI
#undef BOOST_EPOWMINUSE
#undef BOOST_EPOWEULER
#undef BOOST_EPOWMINUSEULER

/* gamma function or Euler constant. */
#undef BOOST_EULER
#undef BOOST_GAMMA
#undef BOOST_LNEULER
#undef BOOST_GAMMAQUARTER
#undef BOOST_GAMMATHIRD
#undef BOOST_GAMMAHALF
#undef BOOST_GAMMATWOTHIRDS
#undef BOOST_GAMMATHREEQUARTER
#undef BOOST_GAMMAFIVESIXTHS
#undef BOOST_GAMMASQR
#undef BOOST_GAMMACUBED
#undef BOOST_GAMMAMIN
#undef BOOST_GAMMAMINVALUE
#undef BOOST_GAMMAZERO
#undef BOOST_GAMMAONE
#undef BOOST_GAMMATWO
#undef BOOST_GAMMATHREE
#undef BOOST_GAMMAFOUR
#undef BOOST_GAMMAFIVE
#undef BOOST_GAMMASIX

#undef BOOST_LNGAMMAZERO
#undef BOOST_LNGAMMA
#undef BOOST_LNGAMMASIXTH
#undef BOOST_LNGAMMAQUARTER
#undef BOOST_LNGAMMATHIRD
#undef BOOST_LNGAMMAHALF
#undef BOOST_LNGAMMATWOTHIRDS
#undef BOOST_LNGAMMATHREEQUARTERS
#undef BOOST_LNGAMMAFIVESIXTHS
#undef BOOST_LNGAMMAONE
#undef BOOST_LNGAMMAMIN
#undef BOOST_LNGAMMATWO
#undef BOOST_LNGAMMATHREE
#undef BOOST_LNGAMMAFOUR
#undef BOOST_LNGAMMAFIVE
#undef BOOST_LNGAMMASIX
#undef BOOST_CF
#undef BOOST_ZETATWO
#undef BOOST_ZETATHREE
/* End of constants.h  */

